module Feature.Generation.HTTP ( routes ) where

import Core.Types
import Core.Templates (renderIndex)

import Feature.Generation.Passwords 
  ( suggestedScheme
  , xkcd
  , oldschool
  , gibberish )
import Feature.Generation.Templates (renderGen)

import qualified Data.Text      as T
import qualified Data.Text.Lazy as LT

import Control.Monad.Reader (ask, lift, liftIO)
import Data.Maybe (listToMaybe)
import Web.Scotty.Trans 
import Prelude 

routes :: PurrApp ()
routes = do 

  get "/gen" $ do
    genXkcd      <- liftIO $ xkcd
    genOldschool <- liftIO $ oldschool
    genGibberish <- liftIO $ gibberish 12
    html   $ renderGen genXkcd genOldschool genGibberish
